org.apache.solr.common.util

## Class RetryUtil

- java.lang.Object
- - org.apache.solr.common.util.RetryUtil

-     public class RetryUtil
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `RetryUtil.BooleanRetryCmd`
    `static interface` | `RetryUtil.RetryCmd`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RetryUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `retryOnBoolean(long timeoutms, long intervalms, RetryUtil.BooleanRetryCmd cmd)`
    `static void` | `retryOnThrowable(Class clazz, long timeoutms, long intervalms, RetryUtil.RetryCmd cmd)`
    `static void` | `retryOnThrowable(Set<Class> classes, long timeoutms, long intervalms, RetryUtil.RetryCmd cmd)`
    `static void` | `retryUntil(String errorMessage, int retries, long pauseTime, TimeUnit pauseUnit, RetryUtil.BooleanRetryCmd cmd)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RetryUtil

          public RetryUtil()

  - ### Method Detail

    - #### retryOnThrowable

          public static void retryOnThrowable(Class clazz,
                                              long timeoutms,
                                              long intervalms,
                                              RetryUtil.RetryCmd cmd)
                                       throws Throwable

      Throws:
        `Throwable`

    - #### retryOnThrowable

          public static void retryOnThrowable(Set<Class> classes,
                                              long timeoutms,
                                              long intervalms,
                                              RetryUtil.RetryCmd cmd)
                                       throws Throwable

      Throws:
        `Throwable`

    - #### retryUntil

          public static void retryUntil(String errorMessage,
                                        int retries,
                                        long pauseTime,
                                        TimeUnit pauseUnit,
                                        RetryUtil.BooleanRetryCmd cmd)
                                 throws InterruptedException

      Throws:
        `InterruptedException`

    - #### retryOnBoolean

          public static void retryOnBoolean(long timeoutms,
                                            long intervalms,
                                            RetryUtil.BooleanRetryCmd cmd)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.